require 'fileutils'

# This class contains the core Freshen functionality
class Freshen
  # This will use the ruby 'require' method to require
  # all freshen files included with this gem.
  #
  # Example:
  #   >> Freshen.require_tree!
  #   => nil
  #
  def self.require_tree!
    require 'freshen/helpers'
    require 'freshen/variables'
    require 'freshen/errors'
    require 'freshen/system'
    require 'freshen/executable'
    require 'freshener'
    require 'freshenary/status'
    require 'freshenary'
    
    return nil
  end
  
  # This will create all required directories
  # if they don't exist yet.
  #
  # Example:
  #   >> Freshen.create_directories!
  #   => nil
  #
  def self.create_directories!
    FileUtils.mkdir_p FRESHENERS_DIR
    
    return nil
  end
  
  # Returns a boolean value of whether or not
  # we are running by the CLI.
  #
  def self.cli?
    defined? FRESHEN_CLI and true == FRESHEN_CLI
  end
end

Freshen.require_tree!
Freshen.create_directories!
