class String
  # A simple string prefix.
  #
  # Example:
  #   >> String.prefix
  #   => "==>"
  #
  def self.prefix
    "==>"
  end
  
  # A UTF-8 checkmark.
  #
  # Example:
  #   >> String.checkmark
  #   => "✔"
  #
  def self.checkmark
    "\u2714"
  end
  
  # A UTF-8 ballot.
  #
  # Example:
  #   >> String.ballot
  #   => "✘"
  #
  def self.ballot
    "\u2718"
  end
  
  # Make a string bold.
  #
  # Example:
  #   >> puts "freshen".bold
  #   => "\e[1mfreshen\e[0m"
  #
  def bold
    modify(1)
  end
  
  # Make a string red.
  #
  # Example:
  #   >> puts "freshen".red
  #   => "\e[31mfreshen\e[0m"
  #
  def red
    modify(31)
  end
  
  # Make a string green.
  #
  # Example:
  #   >> puts "freshen".green
  #   => "\e[32mfreshen\e[0m"
  #
  def green
    modify(32)
  end
  
  # Make a string yellow.
  #
  # Example:
  #   >> puts "freshen".yellow
  #   => "\e[33mfreshen\e[0m"
  #
  def yellow
    modify(33)
  end
  
  # Make a string blue.
  #
  # Example:
  #   >> puts "freshen".blue
  #   => "\e[34mfreshen\e[0m"
  #
  def blue
    modify(34)
  end
  
  # Make a string gray.
  #
  # Example:
  #   >> puts "freshen".gray
  #   => "\e[37mfreshen\e[0m"
  #
  def gray
    modify(37)
  end
  
  private
  # Wrap the current string using the
  # specified code.
  #
  def modify(code)
    "\e[#{code}m#{self}\e[0m"
  end
end
